v1.0.0
OpenAPI 3.1.0

Get an export

US region

Client Libraries

Get an export

Return information about a specific export.

Path Parameters
  • export_id
    Type: integer
    required

    The export_id you want to access.

Responses
  • application/json
  • 404

    The export ID does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/exports/{export_id}
curl https://api.customer.io/v1/exports/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "export": {
    "id": 110,
    "user_id": 0,
    "user_email": "person@email.com",
    "total": 1234,
    "deduplicate_id": "110:1530296738",
    "type": "customers",
    "failed": false,
    "status": "done",
    "description": "Customers with segment filters—in \\Purchased Flowers\\",
    "downloads": 2,
    "created_at": 1530296738,
    "updated_at": 1530296738
  }
}